Debtor Exports¶
Download export of a debtor¶
Download export of a debtor. You can get a list of all possible debtor export templates from the "/debtor-export-templates" endpoint.
Swagger Page¶
Permission / Auth¶
Bearer token with collection scope (read).
Header: Authorization: Bearer <token>
Query Parameters¶
| Name | In | Required | Type | Description |
|---|---|---|---|---|
debtorId |
query | Yes | integer | Required parameter that corresponds with the id of the debtor you want to download the report for. |
debtorExportTemplateId |
query | Yes | integer | Required parameter that corresponds with the id of the export template you want to use. |
Example Request¶
curl -X GET 'https://{your-collections-platform-host}/api/v1/debtor-export?debtorId={debtorId}&debtorExportTemplateId={debtorExportTemplateId}' \
-H 'accept: application/octet-stream' \
-H 'Authorization: Bearer <token>'
Example Response¶
Binary file download (application/octet-stream).
Debtor export templates¶
A configuration template for debtor exports. Use the /debtor-export endpoint to download an export based on these configuration templates.
Swagger Page¶
Permission / Auth¶
Bearer token with collection scope (read).
Header: Authorization: Bearer <token>
Query Parameters¶
| Name | In | Required | Type | Description |
|---|---|---|---|---|
companyId |
query | No | string | Optional parameter to filter on a specific company. Ignored when "cursor" is provided. Fetch the list of available companies from the "/companies" endpoint. |
modifiedSince |
query | No | string (date-time) | Optional parameter to filter the data on modification date. Ignored when "cursor" is provided. All data with "modified at date" greater or equal than the provided date will be returned. The date should be in RFC 3339 format (e.g. "2000-01-21T13:40:30+02:00"). |
cursor |
query | No | string | Optional parameter that allows you to retrieve the next batch of a request. When provided, the "companyId" and "modifiedSince" parameters will be ignored. See "Fetching data incrementally in batches" for more info. |
Example Request¶
curl -X GET 'https://{your-collections-platform-host}/api/v1/debtor-export-templates' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
Example Response¶
{
"data": [
{
"id": 1,
"created_at": "2024-01-15T12:00:00+00:00",
"modified_at": "2024-01-15T12:00:00+00:00",
"name": "string"
}
],
"next_batch_url": null,
"next_batch_cursor": null,
"resume_url": "https://{your-collections-platform-host}/api/v1/example?cursor=opaque-resume-cursor",
"resume_cursor": "opaque-resume-cursor"
}
Batch envelope¶
| Field | Description |
|---|---|
data |
Array of entities in this batch (max 100). |
next_batch_cursor / next_batch_url |
Pass cursor on the next request until empty. |
resume_cursor / resume_url |
Available when the full set is exhausted; use later for incremental sync. |
DebtorExportTemplate fields¶
| Field | Type | Description |
|---|---|---|
id |
integer (int64) | Unique ID. Uniqueness is only guaranteed for all entities within this endpoint. |
created_at |
string (date-time) | The time this entity is created. |
modified_at |
string (date-time) | Last modification date of this entity. |
name |
string | The name of the debtor export template. |